@media (max-width: 1350px) {
  .container {
    margin-left: 15.125rem;
  }
  .grid-container {
    grid-template-columns: auto auto;
  }

  .grid-cols-3 {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 1190px) {
  .text-xl {
    font-size: 34px;
  }
  .login-container {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .login-form-container {
    width: 100%;
    border-radius: 0px;
  }
  .login-form {
    width: 80%;
  }
  .login-content {
    display: none;
  }
}
@media (max-width: 1042px) {
  .active::before {
    content: "";
    position: absolute;
    top: -95px;
    right: 0px;
    width: 30px;
    height: 100px;
    border-bottom-right-radius: 45px;
    box-shadow: 15px 15px 0 var(--secondary-light);
  }
  .active::after {
    content: "";
    position: absolute;
    bottom: -95px;
    right: 0px;
    width: 30px;
    height: 100px;
    border-top-right-radius: 45px;
    box-shadow: 15px -15px 0 var(--secondary-light);
  }
  .breadcrumb-event {
    margin-bottom: 16px;
  }
}
@media (max-width: 950px) {
  .cart {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 12px;
    padding: 9px 16px;
    background-color: white;
    border-radius: 8px;
    border: 1px solid #2c2e7833;
    position: relative;
  }
  .cart > p {
    font-size: 16px;
    font-weight: 500;
    color: #2c2e78;
  }
  
  .badge {
    border: 3px solid #f6f2ff;
    font-size: 10px;
    width: 24px;
    height: 24px;

    right: -10px;
  }
  .header-container {
    flex-direction: column-reverse;
    gap: 16px;
    align-items: start;
  }
  .header-right {
    width: 100%;
    justify-content: space-between;
  }
  .hamburger {
    display: block;
    font-size: 24px;
    cursor: pointer;
    color: #333;
    background-color: #fff;
    padding: 0px 10px;
    border-radius: 4px;
  }
  .sidebar-container {
    width: 60%;
    z-index: 999;
  }
  .sidebar-container {
    transform: translateX(-100%);
    transition: transform 0.3s ease-in-out;
  }
  .container {
    width: 100%;
    margin-left: 0px;
    padding-block: 16px;
    padding-inline: 16px;
  }
  .table-container {
    width: 100%;
    display: block;
    margin-top: 32px;
  }
  .table-wrapper {
    overflow-x: auto !important;
    width: 100%;
  }
  .table {
    width: 775px;
  }
  .login-form {
    width: 100%;
  }
  /* ---------------------- Event Details ------------------------------ */
  .event-details-container {
    display: block;
  }
  .event-details-main-content > .event-details-description > p {
    width: 100%;
  }
  .event-details-right-sidebar {
    margin-top: 24px;
  }

  /* ---------------------- Register ------------------------------ */
  .register-container {
    padding: 0px 30px;
  }
}
@media (max-width: 786px) {
  .profile-image {
    width: 32px;
    height: 32px;
  }
  .notification {
    margin-top: 10px;
  }

  .container {
    width: 100%;
    margin-left: 0px;
    padding-block: 16px;
    padding-inline: 16px;
  }
  .section-container {
    padding-block: 24px;
  }

  .table-container {
    width: 100%;
    display: block;
    margin-top: 32px;
  }
  .table-wrapper {
    overflow-x: auto !important;
    width: 100%;
  }
  .table {
    width: 775px;
  }
  /* ---------------------- Dashboard ------------------------------ */

  .grid-container {
    width: 100%;
    display: grid;
    grid-template-columns: auto;
    align-items: center;
    margin-top: 24px;
    gap: 24px;
  }
  .table-title-bar {
    display: block;
    padding: 16px;
  }
  .tittle-bar-right {
    width: 100%;
    justify-content: start;
    gap: 10px;
    margin-top: 16px;
  }

  .tittle-bar-right > .search-bar {
    padding: 10px 16px;
    width: 75%;
    font-size: 12px;
  }
  .see-all {
    gap: 2px;
  }
  /* ----------------------Events ------------------------------ */
  .filter-section {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 16px;
    margin-top: 24px;
  }
  .filter-status {
    width: 45%;
    padding: 8px 10px;
  }
  .filter-section > .search-bar {
    width: 45%;
    padding: 16px 10px;
  }
  .breadcrumb-event > a {
    width: 24px;
    height: 24px;
  }
  .event-details-main-content {
    padding: 16px;
  }

  /* ----------------------Login ------------------------------ */
  .login-form-container {
    width: 100%;
    border-radius: 0px;
    padding: 16px;
  }
  .login-content {
    display: none;
  }

  .input-form {
    grid-template-columns: 1fr !important;
    align-items: center;
    width: 100% !important;
  }
  .register-form-container {
    padding: 30px 15px;
    margin-bottom: 0px;
    border-radius: 0px;
    border-top-right-radius: 16px;
    border-top-left-radius: 16px;
  }
  .register-container {
    padding: 0;
    gap: 30px;
  }
  .register-container > img {
    margin-top: 20px;
  }
  .card-footer > button {
    width: 140px;
    padding-block: 8px;
    border-radius: 100px;
  }
  .card {
    margin-bottom: 16px;
  }

  /* ----------------------utils ------------------------------ */
  .text-xl {
    font-size: 22px;
  }
  .text-base {
    font-size: 12px;
  }
  .text-sm {
    font-size: 12px;
  }
  .grid-cols-3 {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 535px) {
  .grid-cols-3 {
    grid-template-columns: repeat(1, 1fr);
  }
}

@media (min-width: 750px) {
  .login-form-container {
    padding: 104px;
  }
  .register-form-container {
    margin-bottom: 16px;
    border-radius: 32px;
  }
  .input-form {
    grid-template-columns: 1fr 1fr !important;
  }
}
